package org.verohallinto.apitamoclient.ui;

import org.apache.pivot.wtk.Component;
import org.apache.pivot.wtk.DropAction;
import org.apache.pivot.wtk.DropTarget;
import org.apache.pivot.wtk.Manifest;

/**
 * Drop files.
 */
public class DropMaterial implements DropTarget {

    public DropMaterial() {
    }

    @Override
    public DropAction dragEnter(Component component, Manifest dragContent, int supportedDropActions, DropAction userDropAction) {
        return (dragContent.containsFileList()) ? DropAction.COPY : null;
    }

    @Override
    public void dragExit(Component component) {
        // empty block
    }

    @Override
    public DropAction dragMove(Component component, Manifest dragContent, int supportedDropActions, int x, int y, DropAction userDropAction) {
        return (dragContent.containsFileList() ? DropAction.COPY : null);
    }

    @Override
    public DropAction userDropActionChange(Component component, Manifest dragContent, int supportedDropActions, int x, int y, DropAction userDropAction) {
        return (dragContent.containsFileList() ? DropAction.COPY : null);
    }

    @Override
    public DropAction drop(Component component, Manifest dragContent, int supportedDropActions, int x, int y, DropAction userDropAction) {
        DropAction dropAction = null;

        if (dragContent.containsFileList()) {
            dropAction = DropAction.COPY;
        }

        return dropAction;
    }
}
