package org.verohallinto.apitamoclient.ui;

import org.apache.pivot.wtk.Button;
import org.apache.pivot.wtk.ButtonPressListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.awt.*;
import java.io.File;
import java.io.IOException;

/**
 * Response tab.
 */
public class TabResponse {

    private static final Logger log = LoggerFactory.getLogger(TabResponse.class);

    /**
     * Constuctor.
     * </p>
     *
     * @param ui <code>ApitamopkiClientUI</code>
     */
    public TabResponse(final ApitamopkiClientUI ui) {

        // Vastausikkunan tyhjennys
        ui.resClearPB.getButtonPressListeners().add(new ButtonPressListener() {
            @Override
            public void buttonPressed(final Button button) {
                ui.resLeft.setText("");
                ui.resRight.setText("");
            }
        });

        // Vastaustiedoston avaus
        ui.resOpenPB.getButtonPressListeners().add(new ButtonPressListener() {
            @Override
            public void buttonPressed(final Button button) {
                String ext = ui.action.getExtension(ui.resFile.getText());

                if (!"NONE".equals(ext)) {
                    try {
                        Desktop.getDesktop().open(new File(ui.resFile.getText()));
                    } catch (IOException e) {
                        ui.action.handleException(e);
                    }
                }
            }
        });
    }
}
